﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_avoid_bankers_rounding
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Display some values.
        private void Form1_Load(object sender, EventArgs e)
        {
            double[] values = { -0.5, -1.5, -2.5, -3.5, -4.5, 0.5, 1.5, 2.5, 3.5, 4.5, 1.05, 1.15, 1.25, 1.35, 1.45 };
            int[] digits = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 };
            for (int i = 0; i < values.Length; i++)
            {
                ListViewItem item = lvwNumbers.Items.Add(values[i].ToString());
                item.SubItems.Add(Math.Round(values[i], digits[i]).ToString());
                item.SubItems.Add(Math.Round(values[i], digits[i],
                    MidpointRounding.AwayFromZero).ToString());
            }
            lvwNumbers.Columns[0].Width = -2;
            lvwNumbers.Columns[1].Width = -2;
            lvwNumbers.Columns[2].Width = -2;
        }
    }
}
